This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 186037 - tcsh won't start if LS_COLORS is defined.
tcsh won't start if LS_COLORS is defined.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tcsh (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Bill Huang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-21 03:19 EST by Dave Jones
Modified: 2015-01-04 17:26 EST (History)
2 users (show)

See Also:
Fixed In Version: 6.14-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-22 21:10:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2006-03-21 03:19:36 EST
coreutils defines LS_COLORS for a coloured ls, which caused csh scripts not to
start.

$ csh
Unknown colorls variable `su'.
$

unsetting the variable makes things work as expected.

$ export LS_COLORS=
$ csh
[davej@inferno ~]$
Comment 1 Miloslav Trmač 2006-03-22 21:10:28 EST
Fixed in tcsh-6.14-8.  Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.